import { Directive, DirectiveBinding } from 'vue'

type FormatType = 'date' | 'number'

export const vFormat: Directive = {
  mounted(el: HTMLElement, { value }: DirectiveBinding<FormatType>) {
    const { textContent } = el
    if (value === 'date') {
      el.textContent = new Date(textContent).toLocaleDateString()
    }
    if (value === 'number') {
      if (!Number.isNaN(textContent)) {
        el.textContent = Number(textContent).toFixed(1)
      }
    }
  },
}
